Subject: Re: bug#32897: 26.1; nxml-mode indentation

From: Noam Postavsky <[email-masked]>
Date: Thu, 09 May 2019 07:45:12 -0400

tags 32897 fixed
close 32897 26.3
quit

Noam Postavsky <[email-masked]> writes:

>> Also it does not show a visual newline for #10, even when other numeric
>> references to printable characters do display the character, which was
>> the desired behaviour.
>
> I assume this was changed by [1: 930f8e8377].  I guess can just special
> case newline, it's the only character that has this problem that I can
> think of.  This would be for emacs-26 since it's a regression.

> Subject: [PATCH] Disable extra display of &#10; in nxml-mode (Bug#32897)
>
> * lisp/nxml/nxml-mode.el (nxml-char-ref-display-extra): Don't put
> display for the newline, it makes the indentation look wrong.

> +  (when (and ;; Displaying literal newline is unhelpful.
> +             (not eql n ?\n)
> +             nxml-char-ref-extra-display)

Added missing parens, and pushed to emacs-26.

e4cde42657 2019-05-09T06:42:40-04:00 "Disable extra display of &#10; in nxml-mode (Bug#32897)"
https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=e4cde42657f8f91f795e6b7041dc50b896dc468d